MARTe2-core - User story #1176

Fix GAM::SortBrokers
21.06.2022 15:44 - Giuseppe Ferro

Status: Closed Start date: 21.06.2022
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

--- Source/Core/BareMetal/L5GAMs/GAM.cpp  2022-02-02 09:30:34.000000000 0000
++ Source/Core/BareMetal/L5GAMs/GAM.cpp  2022-05-05 09:44:22.946970024 +0000
@ -628,13 +628,13 @

bool GAM::SortBrokers() {

bool ret = true;
+ int32 count = 0;
for (uint32 i = Ou; (i < numberOfInputSignals) && ret; i++) {

StreamString dataSourceName;

ret = GetSignalDataSourceName (InputSignals, i, dataSourceName) ;

if (ret) {

int32 numberOfInputBrokers = static_cast&lt;int32&gt; (inputBrokers.Size());
- int32 count = 0;
. for (int32 n = 0; (n < numberOfInputBrokers) && ret; nt+) {
+ for (int32 n = count; (n < numberOfInputBrokers) && ret; n++) {
ReferenceT&lt;BrokerI&gt; broker = inputBrokers.Get (static_casté&lt;uint32&gt; (n))

StreamString dsName = broker->GetOwnerDataSourceName () ;
if (dsName == dataSourceName) {
@ -643,20 +643,20 @
if (ret) {
ret = inputBrokers.Insert (broker, count);
}
= count++;

}

+ count++;

}

+ count =0;

for (uint32 i = Ou; (i < numberOfOutputSignals) && ret; i++) {
StreamString dataSourceName;

ret = GetSignalDataSourceName(OutputSignals, i, dataSourceName);

if (ret) {

int32 numberOfOutputBrokers = static_cast<int32>(outputBrokers.Size());
- int32 count = 0;

- for (int32 n = 0; (n < numberOfOutputBrokers) && ret; n++) {

+ for (int32 n = count; (n < numberOfOutputBrokers) && ret; n++) {
ReferenceT<Brokerl> broker = outputBrokers.Get(static_cast<uint32>(n));
StreamString dsName = broker->GetOwnerDataSourceName();

if (dsName == dataSourceName) {

@ -665,8 +665,8 @

if (ret) {

ret = outputBrokers.Insert(broker, count);

}
count++;

count++;

——— o~

History

#1 - 21.06.2022 15:46 - Giuseppe Ferro

- Tracker changed from Design to User story

#2 - 21.06.2022 18:22 - Giuseppe Ferro
- Status changed from Code: Impl to Unit: Rev

#3 - 21.06.2022 18:24 - Giuseppe Ferro

branch #1176_Fix_GAM_SortBrokers
unit-tests fixed and coverage ok
linting to be checked by Andre Neto

#4 - 21.06.2022 18:24 - Giuseppe Ferro

- Assignee changed from Giuseppe Ferro to André Neto

#5 - 30.06.2022 11:26 - André Neto
- Assignee deleted (André Neto)

- Status changed from Unit: Rev to Closed

Merged in f40596467f3d60df2e7{31a800cb4c2e89f4503e
